Subject: bug#739: [devuan-dev] bug#739: /etc/init.d/slim: fails to stop slim daemon with sysvinit

From: Rob Pearce <[email-masked]>
Date: Sun, 29 Jan 2023 19:49:41 +0000

On 29/01/2023 10:16, Jan Hamrle wrote:
> *** bugs/init.d-slim.diff
> --- /etc/init.d/slim.dist	2023-01-28 20:17:45.592507155 +0100
> +++ /etc/init.d/slim	2023-01-28 22:38:29.086358062 +0100
> @@ -22,7 +22,7 @@
>   NAME="slim"
>   DESC="X display manager"
>   DAEMON=/usr/bin/slim
> -PIDFILE=/var/run/slim.lock
> +PIDFILE=/run/slim.pid
>   
>   SSD_START_ARGS="--pidfile $PIDFILE --name $(basename $DAEMON) --startas $DAEMON -- -d"
>   SSD_STOP_ARGS="--pidfile $PIDFILE --name $(basename $DAEMON) --retry TERM/5/TERM/5"

Thank you for this report and patch. I will apply it to the current 
development.

This was entirely my mistake - I'd changed the upstream default over a 
year ago, as some other distros were already patching it to the now more 
common form, but just failed to spot the reference when I updated the 
Devuan package.

Thanks,

Rob

-- 
Maintainer of the <href="https://sourceforge.net/projects/slim-fork/">SLiM Login Manager fork</a>